stein: switch to [DEFAULT] transport_url

Bug #1817672 reported by James Page on 2019-02-26
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack AODH Charm
High
James Page
OpenStack Barbican Charm
High
James Page
OpenStack Designate Charm
High
James Page
OpenStack Manila Charm
High
James Page
OpenStack Nova Cell Controller Charm
High
James Page
OpenStack Octavia Charm
High
James Page
OpenStack ceilometer charm
High
James Page
OpenStack ceilometer-agent charm
High
James Page
OpenStack cinder charm
Undecided
Corey Bryant
OpenStack glance charm
Undecided
Corey Bryant
OpenStack heat charm
Undecided
Corey Bryant
OpenStack neutron-api charm
Undecided
Corey Bryant
OpenStack neutron-gateway charm
Undecided
Corey Bryant
OpenStack neutron-openvswitch charm
Undecided
Corey Bryant
OpenStack nova-cloud-controller charm
Undecided
Corey Bryant
OpenStack nova-compute charm
Undecided
Corey Bryant
OpenStack swift-proxy charm
Undecided
Unassigned
charm-neutron-dynamic-routing
Undecided
Corey Bryant
charms.openstack
High
James Page

Bug Description

At stein, oslo.messaging drops support for sectional configuration of rabbitmq server configuration.

https://docs.openstack.org/releasenotes/oslo.messaging/unreleased.html

Charms need to switch over to the transport_url option in the [DEFAULT] section

James Page (james-page) wrote :

Snippet from nova-cloud-controller that DTRT:

{% if transport_url %}
transport_url = {{ transport_url }}
{% endif %}

James Page (james-page) wrote :

This change should be applied for >= ocata templates as this is the point that the now removed rabbitmq sectional configuration was deprecated.

James Page (james-page) on 2019-02-26
Changed in charm-aodh:
assignee: nobody → James Page (james-page)
status: New → In Progress
Changed in charms.openstack:
assignee: nobody → James Page (james-page)
importance: Undecided → High
status: New → In Progress
Changed in charm-aodh:
importance: Undecided → High
Changed in charm-swift-proxy:
status: New → Invalid
Changed in charm-nova-cloud-controller:
assignee: nobody → Corey Bryant (corey.bryant)
status: New → In Progress
Changed in charm-nova-compute:
assignee: nobody → Corey Bryant (corey.bryant)
status: New → In Progress
Changed in charm-neutron-dynamic-routing:
assignee: nobody → Corey Bryant (corey.bryant)
status: New → In Progress
Changed in charm-neutron-api:
assignee: nobody → Corey Bryant (corey.bryant)
status: New → In Progress
Changed in charm-neutron-openvswitch:
assignee: nobody → Corey Bryant (corey.bryant)
status: New → In Progress
Changed in charm-neutron-gateway:
assignee: nobody → Corey Bryant (corey.bryant)
status: New → In Progress
Changed in charm-heat:
assignee: nobody → Corey Bryant (corey.bryant)
status: New → In Progress
James Page (james-page) on 2019-02-26
Changed in charm-barbican:
assignee: nobody → James Page (james-page)
importance: Undecided → High
status: New → In Progress
Changed in charm-designate:
assignee: nobody → James Page (james-page)
importance: Undecided → High
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/639290

Changed in charms.openstack:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/639279
Committed: https://git.openstack.org/cgit/openstack/charms.openstack/commit/?id=93f4831605b5bff08af2af400aac76eb0bb8238f
Submitter: Zuul
Branch: master

commit 93f4831605b5bff08af2af400aac76eb0bb8238f
Author: James Page <email address hidden>
Date: Tue Feb 26 10:27:52 2019 +0100

    Add transport_url property to AMQP adapter

    To support oslo.messaging switch to use of transport_url, provide
    a formatted transport_url attribute on the AMQP relation adapter.

    Change-Id: I02513dbef01f7fde7db65702d2ad64d2aa72ed0f
    Closes-Bug: 1817672

James Page (james-page) on 2019-02-26
Changed in charm-manila:
assignee: nobody → James Page (james-page)
importance: Undecided → High
status: New → In Progress
James Page (james-page) on 2019-02-26
Changed in charm-nova-cell-controller:
assignee: nobody → James Page (james-page)
importance: Undecided → High
status: New → In Progress
James Page (james-page) on 2019-02-26
Changed in charm-octavia:
assignee: nobody → James Page (james-page)
importance: Undecided → High
status: New → In Progress
Changed in charm-glance:
assignee: nobody → Corey Bryant (corey.bryant)
status: New → In Progress
Changed in charm-cinder:
assignee: nobody → Corey Bryant (corey.bryant)
status: New → In Progress
James Page (james-page) on 2019-02-26
Changed in charm-ceilometer:
assignee: nobody → James Page (james-page)
importance: Undecided → High
status: New → In Progress

Reviewed: https://review.openstack.org/639296
Committed: https://git.openstack.org/cgit/openstack/charm-nova-cell-controller/commit/?id=3919907d219bbdfba9ccae880a25208d70efe1a3
Submitter: Zuul
Branch: master

commit 3919907d219bbdfba9ccae880a25208d70efe1a3
Author: James Page <email address hidden>
Date: Tue Feb 26 11:20:55 2019 +0100

    Use transport_url for Ocata or later

    Create new nova.conf template for Ocata release and
    switch to using the required parts from the openstack
    layer to configure [DEFAULT]transport_url and the
    remaining SSL and HA options in [oslo_messaging_rabbitmq]

    Change-Id: I956a2edad7e64cd14515ae562389180e2c28f195
    Closes-Bug: 1817672

Changed in charm-nova-cell-controller:
status: In Progress → Fix Committed
Changed in charm-barbican:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/639290
Committed: https://git.openstack.org/cgit/openstack/charm-barbican/commit/?id=b43d331390241f16644374e3f8f9abc7f67e9c5e
Submitter: Zuul
Branch: master

commit b43d331390241f16644374e3f8f9abc7f67e9c5e
Author: James Page <email address hidden>
Date: Tue Feb 26 10:55:58 2019 +0100

    Use transport_url for oslo.messaging configuration

    Switch to using [DEFAULT]transport_url for configuration of
    oslo.messaging connectivity to RabbitMQ.

    Use section-oslo-messaging-rabbit to set [oslo_messaging_rabbit]
    sectional configuration options for HA and SSL.

    Change-Id: Ib0c4d68d76593dc29853354ee2a3815f87789caa
    Closes-Bug: 1817672

James Page (james-page) on 2019-02-26
Changed in charm-ceilometer-agent:
assignee: nobody → James Page (james-page)
importance: Undecided → High
status: New → In Progress

Reviewed: https://review.openstack.org/639274
Committed: https://git.openstack.org/cgit/openstack/charm-nova-cloud-controller/commit/?id=66b4c91b5ff6e285f553af5f39b59a5dc68aacd0
Submitter: Zuul
Branch: master

commit 66b4c91b5ff6e285f553af5f39b59a5dc68aacd0
Author: Corey Bryant <email address hidden>
Date: Tue Feb 26 09:08:43 2019 +0000

    Drop deprecated rabbit driver config options

    The stein version of python-oslo.messaging (9.0.0+) has removed
    the following config options from the [oslo_messaging_rabbit]
    section:

    rabbit_host, rabbit_port, rabbit_hosts, rabbit_userid,
    rabbit_password, rabbit_virtual_host rabbit_max_retries, and
    rabbit_durable_queues.

    The above change requires a sync from charm-helpers.

    These have been deprecated since Ocata, therefore this change
    will be provided to pre-Stein templates in order to drop
    deprecation warnings.

    See release notes at:
    https://docs.openstack.org/releasenotes/oslo.messaging/index.html

    Change-Id: Id4a31a8ccfb2735d76dffe30c91c3ae733baa76b
    Closes-Bug: #1817672

Changed in charm-nova-cloud-controller:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/639273
Committed: https://git.openstack.org/cgit/openstack/charm-nova-compute/commit/?id=9254beb043bb73e914430125eceec03afd8ea855
Submitter: Zuul
Branch: master

commit 9254beb043bb73e914430125eceec03afd8ea855
Author: Corey Bryant <email address hidden>
Date: Tue Feb 26 09:05:01 2019 +0000

    Update rabbit driver config options

    The stein version of python-oslo.messaging (9.0.0+) has removed
    the following config options from the [oslo_messaging_rabbit]
    section:

    rabbit_host, rabbit_port, rabbit_hosts, rabbit_userid,
    rabbit_password, rabbit_virtual_host rabbit_max_retries, and
    rabbit_durable_queues.

    The above change requires a sync from charm-helpers.

    Additionally the transport_url directive has been moved to the
    [DEFAULT] section.

    These have been deprecated since Ocata, therefore this change
    will be provided to pre-Stein templates in order to drop
    deprecation warnings.

    See release notes at:
    https://docs.openstack.org/releasenotes/oslo.messaging/index.html

    test_300_nova_config is also removed in this change as amulet tests
    no longer need to confirm config file settings.

    Change-Id: I63e5abfecb45d097afed14d082cb91457c4fa60b
    Closes-Bug: #1817672

Changed in charm-nova-compute:
status: In Progress → Fix Committed
Changed in charm-glance:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/639302
Committed: https://git.openstack.org/cgit/openstack/charm-glance/commit/?id=5ae43bb056b59e47baccc206bef4e6d0b25920f2
Submitter: Zuul
Branch: master

commit 5ae43bb056b59e47baccc206bef4e6d0b25920f2
Author: Corey Bryant <email address hidden>
Date: Tue Feb 26 10:48:15 2019 +0000

    Update rabbit driver config options

    The stein version of python-oslo.messaging (9.0.0+) has removed
    the following config options from the [oslo_messaging_rabbit]
    section:

    rabbit_host, rabbit_port, rabbit_hosts, rabbit_userid,
    rabbit_password, rabbit_virtual_host rabbit_max_retries, and
    rabbit_durable_queues.

    The above change requires a sync from charm-helpers.

    Additionally the transport_url directive has been moved to the
    [DEFAULT] section.

    These have been deprecated since Ocata, therefore this change
    will be provided to pre-Stein templates in order to drop
    deprecation warnings.

    See release notes at:
    https://docs.openstack.org/releasenotes/oslo.messaging/index.html

    test_300_glance_api_default_config is also removed in this change
    as amulet tests no longer need to confirm config file settings.

    Change-Id: I02c02f71669433ea719dffae42073771a40f743a
    Closes-Bug: #1817672

Changed in charm-neutron-gateway:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/639278
Committed: https://git.openstack.org/cgit/openstack/charm-neutron-gateway/commit/?id=c73311350e3ae2826f755ead94f5c7ab1f76e4cd
Submitter: Zuul
Branch: master

commit c73311350e3ae2826f755ead94f5c7ab1f76e4cd
Author: Corey Bryant <email address hidden>
Date: Tue Feb 26 09:25:06 2019 +0000

    Update rabbit driver config options

    The stein version of python-oslo.messaging (9.0.0+) has removed
    the following config options from the [oslo_messaging_rabbit]
    section:

    rabbit_host, rabbit_port, rabbit_hosts, rabbit_userid,
    rabbit_password, rabbit_virtual_host rabbit_max_retries, and
    rabbit_durable_queues.

    The above change requires a sync from charm-helpers.

    Additionally the transport_url directive has been moved to the
    [DEFAULT] section.

    These have been deprecated since Ocata, therefore this change
    will be provided to pre-Stein templates in order to drop
    deprecation warnings.

    See release notes at:
    https://docs.openstack.org/releasenotes/oslo.messaging/index.html

    test_300_neutron_config is also removed in this change as amulet
    tests no longer need to confirm config file settings.

    Change-Id: I4b95c3ff4a37a09e7df5fb5cb6331dc3a46c0095
    Closes-Bug: #1817672

Reviewed: https://review.openstack.org/639270
Committed: https://git.openstack.org/cgit/openstack/charm-neutron-api/commit/?id=56873b0c3e68fa6749cac9cc1612c9d297eb8a8a
Submitter: Zuul
Branch: master

commit 56873b0c3e68fa6749cac9cc1612c9d297eb8a8a
Author: Corey Bryant <email address hidden>
Date: Tue Feb 26 10:23:40 2019 +0000

    Update rabbit driver config options

    The stein version of python-oslo.messaging (9.0.0+) has removed
    the following config options from the [oslo_messaging_rabbit]
    section:

    rabbit_host, rabbit_port, rabbit_hosts, rabbit_userid,
    rabbit_password, rabbit_virtual_host rabbit_max_retries, and
    rabbit_durable_queues.

    The above change requires a sync from charm-helpers.

    Additionally the transport_url directive has been moved to the
    [DEFAULT] section.

    These have been deprecated since Ocata, therefore this change
    will be provided to pre-Stein templates in order to drop
    deprecation warnings.

    See release notes at:
    https://docs.openstack.org/releasenotes/oslo.messaging/index.html

    test_300_neutron_config is also removed in this change as amulet
    tests no longer need to confirm config file settings.

    Change-Id: I3c22b6ca1992b3c20ed83afc430545999096d370
    Closes-Bug: #1817672

Changed in charm-neutron-api:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/639275
Committed: https://git.openstack.org/cgit/openstack/charm-neutron-openvswitch/commit/?id=5e3ffa90e6a875f59f56d383d73aaacaafc110a9
Submitter: Zuul
Branch: master

commit 5e3ffa90e6a875f59f56d383d73aaacaafc110a9
Author: Corey Bryant <email address hidden>
Date: Tue Feb 26 09:16:41 2019 +0000

    Update rabbit driver config options

    The stein version of python-oslo.messaging (9.0.0+) has removed
    the following config options from the [oslo_messaging_rabbit]
    section:

    rabbit_host, rabbit_port, rabbit_hosts, rabbit_userid,
    rabbit_password, rabbit_virtual_host rabbit_max_retries, and
    rabbit_durable_queues.

    The above change requires a sync from charm-helpers.

    Additionally the transport_url directive has been moved to the
    [DEFAULT] section.

    These have been deprecated since Ocata, therefore this change
    will be provided to pre-Stein templates in order to drop
    deprecation warnings.

    See release notes at:
    https://docs.openstack.org/releasenotes/oslo.messaging/index.html

    Change-Id: I77e3437a5241c9ded2ef5000639f984222bc4803
    Closes-Bug: #1817672

Changed in charm-neutron-openvswitch:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/639309
Committed: https://git.openstack.org/cgit/openstack/charm-ceilometer/commit/?id=4bf409fb18a43a97302bf78605b0813aa173d359
Submitter: Zuul
Branch: master

commit 4bf409fb18a43a97302bf78605b0813aa173d359
Author: James Page <email address hidden>
Date: Tue Feb 26 12:08:04 2019 +0100

    Use transport_url for Ocata or later

    The ceilometer charm was already using transport_url for
    Ocata or later deployments; resync helpers and include new
    revised sectional config for SSL and HA settings.

    Change-Id: Ib1822a89de8da6986552229a2b84ec5b784550ed
    Closes-Bug: 1817672

Changed in charm-ceilometer:
status: In Progress → Fix Committed
Changed in charm-manila:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/639293
Committed: https://git.openstack.org/cgit/openstack/charm-manila/commit/?id=fac841f370477b42a19b0326d2c75ce7ac2477ef
Submitter: Zuul
Branch: master

commit fac841f370477b42a19b0326d2c75ce7ac2477ef
Author: James Page <email address hidden>
Date: Tue Feb 26 11:06:29 2019 +0100

    Use transport_url for Ocata or later

    Add a new template for Ocata based on the Mitaka template.

    Switch Ocata and Queens templates to use parts from openstack layer
    for [DEFAULT]transport_url and remaining [oslo_messaging_rabbit]
    HA and SSL configuration options.

    Change-Id: If4effe782d61fd0d2f29a6e56cce623af7b324a3
    Closes-Bug: 1817672

Reviewed: https://review.openstack.org/639333
Committed: https://git.openstack.org/cgit/openstack/charm-ceilometer-agent/commit/?id=54530ab595a7e43c479e318b7cb459138024bd53
Submitter: Zuul
Branch: master

commit 54530ab595a7e43c479e318b7cb459138024bd53
Author: James Page <email address hidden>
Date: Tue Feb 26 14:35:53 2019 +0100

    Refactor RabbitMQ integration

    Prior to this change, the ceilometer-agent charm receives RMQ
    configuration details via the ceilometer charm. This makes it
    a bit of a snowflake.

    Refactor RMQ integration to require a direct relation to the
    rabbitmq-server charm; information provided on this relation
    will superceed any information currently provided via the
    charms relation with ceilometer, ensuring that there is no
    disruption to service during a charm upgrade before the new
    relation is added.

    Switch to using [DEFAULT]transport_url for RMQ configuration,
    making use of the new ch template for SSL and HA configuration
    in [oslo_messaging_rabbit].

    Change-Id: Ie637ec5162461826505cea39bde6829e036fa1f2
    Closes-Bug: 1817672

Changed in charm-ceilometer-agent:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/639271
Committed: https://git.openstack.org/cgit/openstack/charm-neutron-dynamic-routing/commit/?id=3bedb660d484b07f12fc30f5553d53cd3bda0f15
Submitter: Zuul
Branch: master

commit 3bedb660d484b07f12fc30f5553d53cd3bda0f15
Author: Corey Bryant <email address hidden>
Date: Tue Feb 26 08:51:36 2019 +0000

    Revert to use of charms.openstack transport_url

    Drop charm specific code to build the oslo.messaging
    transport_url; this is now provided as part of
    charms.openstack.

    Change-Id: I1a9bcf7bc57b99326cae618df06930ae3990fab0
    Closes-Bug: 1817672

Changed in charm-neutron-dynamic-routing:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/639297
Committed: https://git.openstack.org/cgit/openstack/charm-octavia/commit/?id=cb778a052770ff72dbc557f5c36d5f1816ad775b
Submitter: Zuul
Branch: master

commit cb778a052770ff72dbc557f5c36d5f1816ad775b
Author: James Page <email address hidden>
Date: Tue Feb 26 11:23:39 2019 +0100

    Switch to using transport_url

    Update templates to configure [DEFAULT]transport_url and remaining
    SSL and HA options in [oslo_messaging_rabbitmq] using parts
    from the openstack charm layer.

    Change-Id: I428bec4461b038e11b62b284f6c096de3c05d72c
    Closes-Bug: 1817672

Changed in charm-octavia:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/639287
Committed: https://git.openstack.org/cgit/openstack/charm-heat/commit/?id=06f8577a61109856abb111e0ce098b3130adf507
Submitter: Zuul
Branch: master

commit 06f8577a61109856abb111e0ce098b3130adf507
Author: Corey Bryant <email address hidden>
Date: Tue Feb 26 09:49:33 2019 +0000

    Update rabbit driver config options

    The stein version of python-oslo.messaging (9.0.0+) has removed
    the following config options from the [oslo_messaging_rabbit]
    section:

    rabbit_host, rabbit_port, rabbit_hosts, rabbit_userid,
    rabbit_password, rabbit_virtual_host rabbit_max_retries, and
    rabbit_durable_queues.

    The above change requires a sync from charm-helpers.

    Additionally the transport_url directive has been moved to the
    [DEFAULT] section.

    These have been deprecated since Ocata, therefore this change
    will be provided to pre-Stein templates in order to drop
    deprecation warnings.

    See release notes at:
    https://docs.openstack.org/releasenotes/oslo.messaging/index.html

    Change-Id: I4e6bf7fa75bc2b445e2a7047ef7ca14a36478e78
    Closes-Bug: #1817672

Changed in charm-heat:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/639289
Committed: https://git.openstack.org/cgit/openstack/charm-aodh/commit/?id=9049b903f598452812ca73f304f11fc006679181
Submitter: Zuul
Branch: master

commit 9049b903f598452812ca73f304f11fc006679181
Author: James Page <email address hidden>
Date: Tue Feb 26 10:51:05 2019 +0100

    Use transport_url for Ocata or later

    Switch to using [DEFAULT]transport_url for configuration of
    oslo.messaging connectivity to RabbitMQ.

    Use section-oslo-messaging-rabbit to set [oslo_messaging_rabbit]
    sectional configuration options for HA and SSL.

    Update amulet test to only run ceilometer upgrade in deployments
    with Gnocchi (>= Xenial/Queens).

    Change-Id: If0ee7a09bac3bb4c5e6823adb1994ad3a120f9d5
    Closes-Bug: 1817672

Changed in charm-aodh:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/639291
Committed: https://git.openstack.org/cgit/openstack/charm-designate/commit/?id=1938f5f8db9bd16bb59dd3b0f5239dd60937eea2
Submitter: Zuul
Branch: master

commit 1938f5f8db9bd16bb59dd3b0f5239dd60937eea2
Author: James Page <email address hidden>
Date: Tue Feb 26 10:58:04 2019 +0100

    Use transport_url for Queens or later

    Add a new template for Queens based on the Mitaka template.

    Switch Queens and Rocky templates to use parts from openstack layer
    for [DEFAULT]transport_url and remaining [oslo_messaging_rabbit]
    HA and SSL configuration options.

    Note that this service differs from others in that it did not
    adopt standard oslo.messaging configuration sections until
    Queens.

    Change-Id: I988ef92bce127f075d062009d5f1ab43cf7cf4d0
    Closes-Bug: 1817672

Changed in charm-designate:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/641118
Committed: https://git.openstack.org/cgit/openstack/charm-cinder/commit/?id=efb1a1e2d9d160336dc6a2d8432a26dc63aa3cfe
Submitter: Zuul
Branch: master

commit efb1a1e2d9d160336dc6a2d8432a26dc63aa3cfe
Author: Corey Bryant <email address hidden>
Date: Tue Mar 5 15:24:15 2019 -0500

    Update rabbit driver config options

    The stein version of python-oslo.messaging (9.0.0+) has removed
    the following config options from the [oslo_messaging_rabbit]
    section:

    rabbit_host, rabbit_port, rabbit_hosts, rabbit_userid,
    rabbit_password, rabbit_virtual_host rabbit_max_retries, and
    rabbit_durable_queues.

    The above change requires a sync from charm-helpers.

    Additionally the transport_url directive has been moved to the
    [DEFAULT] section.

    These have been deprecated since Ocata, therefore this change
    will be provided to pre-Stein templates in order to drop
    deprecation warnings.

    See release notes at:
    https://docs.openstack.org/releasenotes/oslo.messaging/index.html

    test_300_cinder_config is also removed in this change as amulet
    tests no longer need to confirm config file settings.

    Change-Id: Ia93be49430e8d95c38ed521d08bbb62f47e13e59
    Closes-Bug: #1817672

Changed in charm-cinder:
status: In Progress → Fix Committed
James Page (james-page) on 2019-04-17
Changed in charm-barbican:
milestone: none → 19.04
Changed in charm-aodh:
milestone: none → 19.04
Changed in charm-ceilometer:
milestone: none → 19.04
Changed in charm-ceilometer-agent:
milestone: none → 19.04
Changed in charm-manila:
milestone: none → 19.04
Changed in charm-designate:
milestone: none → 19.04
Changed in charm-neutron-api:
milestone: none → 19.04
Changed in charm-nova-compute:
milestone: none → 19.04
Changed in charm-cinder:
milestone: none → 19.04
Changed in charm-neutron-gateway:
milestone: none → 19.04
Changed in charm-neutron-openvswitch:
milestone: none → 19.04
Changed in charm-glance:
milestone: none → 19.04
Changed in charm-nova-cloud-controller:
milestone: none → 19.04
Changed in charm-heat:
milestone: none → 19.04
Changed in charm-neutron-dynamic-routing:
milestone: none → 19.04
James Page (james-page) on 2019-04-17
Changed in charm-octavia:
milestone: none → 19.04
David Ames (thedac) on 2019-04-17
Changed in charm-barbican:
status: Fix Committed → Fix Released
Changed in charm-aodh:
status: Fix Committed → Fix Released
Changed in charm-ceilometer:
status: Fix Committed → Fix Released
Changed in charm-ceilometer-agent:
status: Fix Committed → Fix Released
Changed in charm-neutron-api:
status: Fix Committed → Fix Released
Changed in charm-nova-compute:
status: Fix Committed → Fix Released
Changed in charm-cinder:
status: Fix Committed → Fix Released
Changed in charm-neutron-gateway:
status: Fix Committed → Fix Released
Changed in charm-neutron-openvswitch:
status: Fix Committed → Fix Released
Changed in charm-glance:
status: Fix Committed → Fix Released
Changed in charm-nova-cloud-controller:
status: Fix Committed → Fix Released
Changed in charm-heat:
status: Fix Committed → Fix Released
Changed in charm-neutron-dynamic-routing:
status: Fix Committed → Fix Released
Changed in charm-manila:
status: Fix Committed → Fix Released
Changed in charm-designate:
status: Fix Committed → Fix Released
Changed in charm-octavia:
status: Fix Committed → Fix Released
James Page (james-page) on 2019-07-19
Changed in charm-nova-cell-controller:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers